Wednesday, May 18, 2011


Dropbox on Debian Squeeze

Briefly:
"Error: Dependency is not satisfiable: libnautilus-extension1 (>= 1:2.22.2)"

What to do?
$ mkdir -p extract/DEBIAN
$ dpkg-deb -x nautilus-dropbox_0.6.7_amd64.deb extract/
$ dpkg-deb -e nautilus-dropbox_0.6.7_amd64.deb extract/DEBIAN/
$ vi extract/DEBIAN/control


change "libnautilus-extension1 (>= 1:2-22-2)" to "libnautilus-extension1 (>= 2-22-2)"

save and exit (:wq)


$ mkdir build
$ dpkg-deb -b extract/ build/
$ sudo dpkg -i build/nautilus-dropbox_0.6.7_amd64.deb


Enjoy it!

Ciao, Foogaro

No comments:

Post a Comment